nbconvert:
    image: "python:latest"

    stage: build
    before_script:
        - pip install notebook nbconvert
        - python -m pip install -r requirements.txt
    script:
        - jupyter nbconvert ./*ipynb --execute --to html --template classic
    artifacts:
        paths:
            - ./*html

pages:
    image: "python:latest"
    dependencies:
        - nbconvert
    
    stage: deploy

    script:
        - ls
        - mkdir public && cd public
        - pwd
        - cp ../*.html .

    artifacts:
        paths:
            - public
